## brasero-media

brasero-media

## Functions

void | brasero_media_library_start ()
void | brasero_media_library_stop ()
GOptionGroup * | brasero_media_get_option_group ()
GQuark | brasero_media_quark ()
#define | BRASERO_MEDIUM_VALID()
#define | BRASERO_MEDIUM_TYPE()
#define | BRASERO_MEDIUM_ATTR()
#define | BRASERO_MEDIUM_STATUS()
#define | BRASERO_MEDIUM_SUBTYPE()
#define | BRASERO_MEDIUM_INFO()
#define | BRASERO_MEDIUM_IS()
#define | BRASERO_MEDIUM_RANDOM_WRITABLE()

## Types and Values

#define | LIBBRASERO_MEDIA_VERSION_MAJOR
#define | LIBBRASERO_MEDIA_VERSION_MINOR
#define | LIBBRASERO_MEDIA_VERSION_MICRO
#define | LIBBRASERO_MEDIA_AGE
#define | LIBBRASERO_MEDIA_INSTALL
#define | BRASERO_MEDIA_ERROR
enum | BraseroMediaError
enum | BraseroMedia
#define | BRASERO_MEDIUM_CDROM
#define | BRASERO_MEDIUM_CDR
#define | BRASERO_MEDIUM_CDRW
#define | BRASERO_MEDIUM_DVD_ROM
#define | BRASERO_MEDIUM_DVDR
#define | BRASERO_MEDIUM_DVDRW
#define | BRASERO_MEDIUM_DVDRW_RESTRICTED
#define | BRASERO_MEDIUM_DVDR_DL
#define | BRASERO_MEDIUM_DVDR_JUMP_DL
#define | BRASERO_MEDIUM_DVDR_PLUS
#define | BRASERO_MEDIUM_DVDRW_PLUS
#define | BRASERO_MEDIUM_DVDR_PLUS_DL
#define | BRASERO_MEDIUM_DVDRW_PLUS_DL
#define | BRASERO_MEDIUM_DVD_RAM
#define | BRASERO_MEDIUM_BD_ROM
#define | BRASERO_MEDIUM_BDR_SRM
#define | BRASERO_MEDIUM_BDR_SRM_POW
#define | BRASERO_MEDIUM_BDR_RANDOM
#define | BRASERO_MEDIUM_BDRE

## Description

## Functions

### brasero_media_library_start ()

    void
    brasero_media_library_start (void);

Initialize the library.

You should call this function before using any other from the library.

Rename to: init

### brasero_media_library_stop ()

    void
    brasero_media_library_stop (void);

De-initialize the library once you do not need the library anymore.

Rename to: deinit

### brasero_media_get_option_group ()

    GOptionGroup *
    brasero_media_get_option_group (void);

Returns a GOptionGroup for the commandline arguments recognized by libbrasero-media. You should add this to your GOptionContext if your are using `g_option_context_parse()` to parse your commandline arguments.

#### Returns

a GOptionGroup *

### brasero_media_quark ()

    GQuark
    brasero_media_quark (void);

### BRASERO_MEDIUM_VALID()

    #define             BRASERO_MEDIUM_VALID(media)

### BRASERO_MEDIUM_TYPE()

    #define BRASERO_MEDIUM_TYPE(media) ((media) & 0x003F)

### BRASERO_MEDIUM_ATTR()

    #define BRASERO_MEDIUM_ATTR(media) ((media) & 0x1C000)

### BRASERO_MEDIUM_STATUS()

    #define BRASERO_MEDIUM_STATUS(media) ((media) & 0xE0000)

### BRASERO_MEDIUM_SUBTYPE()

    #define BRASERO_MEDIUM_SUBTYPE(media) ((media) & 0x1FC0)

### BRASERO_MEDIUM_INFO()

    #define BRASERO_MEDIUM_INFO(media) ((media) & 0xFE0000)

### BRASERO_MEDIUM_IS()

    #define BRASERO_MEDIUM_IS(media, type) (((media)&(type))==(type))

### BRASERO_MEDIUM_RANDOM_WRITABLE()

    #define             BRASERO_MEDIUM_RANDOM_WRITABLE(media)

## Types and Values

### LIBBRASERO_MEDIA_VERSION_MAJOR

    #define             LIBBRASERO_MEDIA_VERSION_MAJOR

### LIBBRASERO_MEDIA_VERSION_MINOR

    #define             LIBBRASERO_MEDIA_VERSION_MINOR

### LIBBRASERO_MEDIA_VERSION_MICRO

    #define             LIBBRASERO_MEDIA_VERSION_MICRO

### LIBBRASERO_MEDIA_AGE

    #define             LIBBRASERO_MEDIA_AGE

### LIBBRASERO_MEDIA_INSTALL

    #define             LIBBRASERO_MEDIA_INSTALL

### BRASERO_MEDIA_ERROR

    #define BRASERO_MEDIA_ERROR brasero_media_quark()

The GQuark used for BraseroMediaError

### enum BraseroMediaError

Error codes returned by libbrasero-media

#### Members

BRASERO_MEDIA_ERROR_NONE |  |
BRASERO_MEDIA_ERROR_GENERAL |  |
BRASERO_MEDIA_ERROR_IMAGE_INVALID |  |

### enum BraseroMedia

This enum allows to define all characteristics for a media (closed, writable, ...) and identify all types of optical media.

#### Members

BRASERO_MEDIUM_UNSUPPORTED |  |
BRASERO_MEDIUM_BUSY |  |
BRASERO_MEDIUM_NONE |  |
BRASERO_MEDIUM_FILE |  |
BRASERO_MEDIUM_CD |  |
BRASERO_MEDIUM_DVD |  |
BRASERO_MEDIUM_BD |  |
BRASERO_MEDIUM_DUAL_L |  |
BRASERO_MEDIUM_RAM |  |
BRASERO_MEDIUM_PLUS |  |
BRASERO_MEDIUM_SEQUENTIAL |  |
BRASERO_MEDIUM_RESTRICTED |  |
BRASERO_MEDIUM_JUMP |  |
BRASERO_MEDIUM_RANDOM |  |
BRASERO_MEDIUM_SRM |  |
BRASERO_MEDIUM_POW |  |
BRASERO_MEDIUM_REWRITABLE |  |
BRASERO_MEDIUM_WRITABLE |  |
BRASERO_MEDIUM_ROM |  |
BRASERO_MEDIUM_BLANK |  |
BRASERO_MEDIUM_CLOSED |  |
BRASERO_MEDIUM_APPENDABLE |  |
BRASERO_MEDIUM_UNFORMATTED |  |
BRASERO_MEDIUM_PROTECTED |  |
BRASERO_MEDIUM_HAS_DATA |  |
BRASERO_MEDIUM_HAS_AUDIO |  |

### BRASERO_MEDIUM_CDROM

    #define             BRASERO_MEDIUM_CDROM

### BRASERO_MEDIUM_CDR

    #define             BRASERO_MEDIUM_CDR

### BRASERO_MEDIUM_CDRW

    #define             BRASERO_MEDIUM_CDRW

### BRASERO_MEDIUM_DVD_ROM

    #define             BRASERO_MEDIUM_DVD_ROM

### BRASERO_MEDIUM_DVDR

    #define             BRASERO_MEDIUM_DVDR

### BRASERO_MEDIUM_DVDRW

    #define             BRASERO_MEDIUM_DVDRW

### BRASERO_MEDIUM_DVDRW_RESTRICTED

    #define             BRASERO_MEDIUM_DVDRW_RESTRICTED

### BRASERO_MEDIUM_DVDR_DL

    #define             BRASERO_MEDIUM_DVDR_DL

### BRASERO_MEDIUM_DVDR_JUMP_DL

    #define             BRASERO_MEDIUM_DVDR_JUMP_DL

### BRASERO_MEDIUM_DVDR_PLUS

    #define             BRASERO_MEDIUM_DVDR_PLUS

### BRASERO_MEDIUM_DVDRW_PLUS

    #define             BRASERO_MEDIUM_DVDRW_PLUS

### BRASERO_MEDIUM_DVDR_PLUS_DL

    #define             BRASERO_MEDIUM_DVDR_PLUS_DL

### BRASERO_MEDIUM_DVDRW_PLUS_DL

    #define             BRASERO_MEDIUM_DVDRW_PLUS_DL

### BRASERO_MEDIUM_DVD_RAM

    #define             BRASERO_MEDIUM_DVD_RAM

### BRASERO_MEDIUM_BD_ROM

    #define             BRASERO_MEDIUM_BD_ROM

### BRASERO_MEDIUM_BDR_SRM

    #define             BRASERO_MEDIUM_BDR_SRM

### BRASERO_MEDIUM_BDR_SRM_POW

    #define             BRASERO_MEDIUM_BDR_SRM_POW

### BRASERO_MEDIUM_BDR_RANDOM

    #define             BRASERO_MEDIUM_BDR_RANDOM

### BRASERO_MEDIUM_BDRE

    #define             BRASERO_MEDIUM_BDRE